Author Topic: Look up & Visibility State  (Read 1644 times)

0 Members and 1 Guest are viewing this topic.

CadFrank

  • Guest
Look up & Visibility State
« on: April 05, 2012, 08:50:32 AM »
Hi, I would like some help please

I need to be able to change all those 3 dynamic block with their visibility states.

If you select all 3 in the drawing you can change the value of then in properties/ custom/visibility1

in this code here :

Code - Auto/Visual Lisp: [Select]
  1. (setq fleche '("LC CHARGE 290" "LC B-T 290" "LC C-P 290"))
  2. (initget 1 "74m 70m 64m 60m 54m 50m 44m 40m")
  3. (setq b-radius(getkword "\n Donner le rayon de la flèche : "))
  4.  
  5.  
  6.   (vlax-for fleche(vla-get-blocks adoc))
  7.  
  8.  
  9.   ;(initget 1 "170 210 290 550")
  10.   ;(setq tower-serie(getkword "\nDonner le modele de la grue : "))
  11.  
  12.  
  13.   (setq fleche (entlast))
  14.   (setq fleche (vlax-ename->vla-object fleche))
  15.   (vlax-dump-object fleche)
  16.   (setq dbp (vla-getdynamicblockproperties fleche))
  17.   (setq dbp (vlax-variant-value dbp))
  18.   (setq dbp (vlax-safearray->list dbp))
  19.   (setq bp (car dbp))
  20.   (setq ListeAdmis (vlax-safearray->list (vlax-variant-value (vla-get-AllowedValues bp))))
  21.   (setq ListeAdmis (mapcar 'vlax-variant-value ListeAdmis))
  22.   (vla-put-value bp B-Radius)


All Help will be greatly appreciated thank !

Cheers & Beers

ronjonp

  • Needs a day job
  • Posts: 7533
Re: Look up & Visibility State
« Reply #1 on: April 05, 2012, 11:09:48 AM »

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC